%[lats_cs, longs_cs, angle_cos, angle_sin, area_cs] = my_read_cs_grid();

H=-3000;

dlon=2;
dlat=2;
lon=0;
lat=-84+dlat/2:dlat:84-dlat/2;

m=length(lon);
n=length(lat);
tt=zeros(m,n);

T_f=273.16;
 %% Dorian's low CO2: cold state
TS_cold=T_f-79+48*cos(lat*pi/180).^2;

 %% Dorian's high CO2:
TS_warm=T_f-58+47*cos(lat*pi/180).^2;

 
%figure;
%plot(y1,TS_cold,'k',y1,TS_warm,'b');colorbar;

for i=1:m
    tt(i,:)=TS_cold(1:end);
end

%figure;
%contourf(lon,lat,tt');colorbar;

% keep also TS in C in addition to K
fid=fopen('cold_TS_C_atm.bin','w','b'); fwrite(fid,tt-T_f,'real*8'); fclose(fid);

for i=1:m
    tt(i,:)=TS_warm(1:end);
end

%figure;
%contourf(lon,lat,tt');colorbar;

% keep also TS in C in addition to K
fid=fopen('warm_TS_C_atm.bin','w','b'); fwrite(fid,tt-T_f,'real*8'); fclose(fid);
% create fields that are zero
tt2=zeros(size(tt));
fid=fopen('zeros.bin','w','b'); fwrite(fid,tt2,'real*8'); fclose(fid);

% create sea glaciar depth file 
si_topo=-100-1000*sin(lat*pi/180).^2;
for i=1:m
    tt(i,:)=si_topo(1:end);
end

%figure;
%contourf(lon,lat,tt');colorbar;

fid=fopen('si_topo.bin','w','b'); fwrite(fid,tt,'real*8'); fclose(fid);

% create sea glaciar with small depth gradient 
si_topo=-500-50*sin(lat*pi/180).^2;
for i=1:m
    tt(i,:)=si_topo(1:end);
end

%figure;
%contourf(lon,lat,tt');colorbar;

fid=fopen('si_topo_small_gradient.bin','w','b'); fwrite(fid,tt,'real*8'); fclose(fid);



% create sea glaciar constant depth file 
tt2 = -500.0*ones(size(tt));

fid=fopen('si_const_topo.bin','w','b'); fwrite(fid,tt2,'real*8'); fclose(fid);



