#!/bin/bash
# run this using $ bsub -q swell < sb-off_equatorGT.sh
# query jobs using bjobs
# kill jobs using job jumbers from bjobs using something like bkill 3793411

#BSUB -n 14
#BSUB -J sb-off_eqGT
#BSUB -o sb-off_eqGT.out
#BSUB -e sb-off_eqGT.err
#BSUB -q swell
#  #BSUB -q unrestricted_parallel
#BSUB -a mvapich
##  #BSUB -W 14400 # max minutes CPU

module load math/matlab-R2011b >& /dev/null
export DISPLAY=

d1='/n/tzipermanfs1/ashkena/myMITgcm/coupled_Ice_MITgcm/global_ocean_ice_shelf.1x168x32/'
d2='/n/tzipermanfs1/ashkena/Snowball-oceanography/'
cs='_off_equatorGT_iter'
for iter in {121..130}
do
#  iter0=$((${iter} - 1))
#  iter1=$((${iter} + 1))
  di=${d1}input${cs}${iter}
  dr=${d1}run${cs}${iter}
  cd ${d1}  
  cp -ir input${cs}0 ${di}
  if [ "${iter}" -gt "1" ]; then
      cp ${d2}data_for_MITgcm/si${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm/TS${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm/sinit${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm/tinit${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm/uinit${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm/vinit${cs}${iter}.bin ${di}
  fi
  mkdir ${dr}
  cd ${di}
  if [ "${iter}" -gt "1" ]; then
      sed -i s/si_topo_uniform1.bin/si${cs}${iter}.bin/ data.shelfice
      sed -i s/si_topo_uniform_Ts.bin/TS${cs}${iter}.bin/ data.shelfice
      sed -i 's/#hydrogThetaFile/ hydrogThetaFile/' data
      sed -i 's/#hydrogSaltFile/ hydrogSaltFile/' data
      sed -i 's/#uVelInitFile/ uVelInitFile/' data
      sed -i 's/#vVelInitFile/ vVelInitFile/' data
      sed -i s/sinit.bin/sinit${cs}${iter}.bin/ data
      sed -i s/tinit.bin/tinit${cs}${iter}.bin/ data
      sed -i s/uinit.bin/uinit${cs}${iter}.bin/ data
      sed -i s/vinit.bin/vinit${cs}${iter}.bin/ data
  fi
  cd ${dr}
  ln -s ${di}/* ./
  mpirun.lsf ../build/mitgcmuv > xx
  cd ${d2}
  pwd
  echo "path(path,'/n/home10/ashkena/MITgcm_c63/utils/matlab');one_d_ice_sheets1(x,'_off_equatorGT_iter')" > run.m
  sed -i s/x/${iter}/ run.m
  matlab -nodesktop -nosplash < run.m
done
