#!/bin/bash
# run this using $ bsub -q swell < sb-locGT_2d.sh
# query jobs using bjobs
# kill jobs using job jumbers from bjobs using something like bkill 3793411

#BSUB -n 70
#BSUB -J sb-locGT_2d
#BSUB -o sb-locGT_2d.out
#BSUB -e sb-locGT_2d.err
#BSUB -q swell
#   #BSUB -q unrestricted_parallel
#BSUB -a mvapich
##  #BSUB -W 14400 # max minutes CPU

rm sb-locGT_2d.out sb-locGT_2d.err

module load math/matlab-R2011b >& /dev/null
export DISPLAY=

d1='/n/tzipermanfs1/ashkena/myMITgcm/coupled_Ice_MITgcm/global_ocean_ice_shelf.180x84x73/'
d2='/n/tzipermanfs1/ashkena/Snowball-oceanography/'
cs='_continents_locGT_iter'
for iter in {31..50}
do
#  iter0=$((${iter} - 1))
#  iter1=$((${iter} + 1))
  di=${d1}input${cs}${iter}
  dr=${d1}run${cs}${iter}
  cd ${d1}  
  cp -ir input${cs}0 ${di}
  if [ "${iter}" -gt "1" ]; then
      cp ${d2}data_for_MITgcm_2d_2deg/si${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm_2d_2deg/TS${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm_2d_2deg/sinit${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm_2d_2deg/tinit${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm_2d_2deg/uinit${cs}${iter}.bin ${di}
      cp ${d2}data_for_MITgcm_2d_2deg/vinit${cs}${iter}.bin ${di}
  fi
  mkdir ${dr}
  cd ${di}
  if [ "${iter}" -gt "1" ]; then
      sed -i s/si_topo_from_ice_start.bin/si${cs}${iter}.bin/ data.shelfice
      sed -i s/TS_topo_from_ice_start.bin/TS${cs}${iter}.bin/ data.shelfice
      sed -i 's/#hydrogThetaFile/ hydrogThetaFile/' data
      sed -i 's/#hydrogSaltFile/ hydrogSaltFile/' data
      sed -i 's/#uVelInitFile/ uVelInitFile/' data
      sed -i 's/#vVelInitFile/ vVelInitFile/' data
      sed -i s/sinit.bin/sinit${cs}${iter}.bin/ data
      sed -i s/tinit.bin/tinit${cs}${iter}.bin/ data
      sed -i s/uinit.bin/uinit${cs}${iter}.bin/ data
      sed -i s/vinit.bin/vinit${cs}${iter}.bin/ data
  fi
  cd ${dr}
  ln -s ${di}/* ./
  mpirun.lsf ../build/mitgcmuv > xx
  cd ${d2}
  pwd
  echo "path(path,'/n/home10/ashkena/MITgcm_c63/utils/matlab');two_d_ice_sheets_two_deg(x,'_continents_locGT_iter')" > run.m
  sed -i s/x/${iter}/ run.m
  matlab -nodesktop -nosplash < run.m
done
