C $Header: /u/gcmpack/MITgcm/pkg/geothermal/geothermal_init_varia.F,v 1.6 2009/08/25 21:33:28 jmc Exp $
C $Name: checkpoint63 $

#include "GEOTHERMAL_OPTIONS.h"

C---+----1----+----2----+----3----+----4----+----5----+----6----+----7-|--+----|
CBOP 0
C !ROUTINE: GEOTHERMAL_INIT_VARIA

C !INTERFACE:
      SUBROUTINE GEOTHERMAL_INIT_VARIA( myThid )

C     !DESCRIPTION:
C     Initialize GEOTHERMAL variables

C     !USES:
      IMPLICIT NONE
#include "SIZE.h"
#include "EEPARAMS.h"
#include "PARAMS.h"
#include "GRID.h"
#include "GEOTHERMAL.h"

C     !INPUT/OUTPUT PARAMETERS:
C     myThid ::  my Thread Id number
      INTEGER myThid
CEOP

#ifdef ALLOW_GEOTHERMAL

C     !LOCAL VARIABLES:
C     === Local variables ===
      INTEGER i,j,k,bi,bj

      DO bj = myByLo(myThid), myByHi(myThid)
       DO bi = myBxLo(myThid), myBxHi(myThid)

c$$$C     Initialize arrays in common blocks :
c$$$C     3-dim.
c$$$        DO k=1,Nr
c$$$         DO j=1-Oly,sNy+OLy
c$$$          DO i=1-Olx,sNx+Olx
c$$$c$$$#ifdef GEOTHERMAL_3D_STATE
c$$$c$$$           geothermal_power(i,j,k,bi,bj) = 0. _d 0
c$$$c$$$#endif /* GEOTHERMAL_3D_STATE */
c$$$c#ifdef GEOTHERMAL_TENDENCY
c$$$c           geothermal_TendScal1(i,j,k,bi,bj) = 0. _d 0
c$$$c           geothermal_TendScal2(i,j,k,bi,bj) = 0. _d 0
c$$$c           geothermal_TendVelU (i,j,k,bi,bj) = 0. _d 0
c$$$c           geothermal_TendVelV (i,j,k,bi,bj) = 0. _d 0
c$$$c#endif /* GEOTHERMAL_TENDENCY */
c$$$          ENDDO
c$$$         ENDDO
c$$$        ENDDO

C     2-dim.
#ifdef GEOTHERMAL_2D_STATE
        DO j=1-Oly,sNy+OLy
         DO i=1-Olx,sNx+Olx
          geothermal_power_bottom(i,j,bi,bj) = 0. _d 0
         ENDDO
        ENDDO
#endif /* GEOTHERMAL_2D_STATE */

C- end bi,bj loops
       ENDDO
      ENDDO

c      IF ( startTime.EQ.baseTime .AND. nIter0.EQ.0
c     &                           .AND. pickupSuff.EQ.' ' ) THEN
c      IF ( startTime.EQ.baseTime .OR. nIter0.EQ.0 ) THEN
c     Always read the bottom heating file, even when restarting. Note
c     that the geptehrmal heating is currently constant with time
      IF (1 .EQ. 1) THEN

C     Prevent loading of new data before everyone has finished initialisation
C     this is done within IO routines => no longer needed
c      _BARRIER

c$$$#ifdef GEOTHERMAL_3D_STATE
c$$$       IF ( geothermal_Scal1File .NE. ' ' ) THEN
c$$$         CALL READ_FLD_XYZ_RL( geothermal_Scal1File, ' ',
c$$$     &                         geothermal_StatScal1, 0, myThid )
c$$$         CALL EXCH_3D_RL( geothermal_StatScal1, Nr, myThid )
c$$$       ENDIF
c$$$       IF ( geothermal_Scal2File .NE. ' ' ) THEN
c$$$         CALL READ_FLD_XYZ_RL( geothermal_Scal2File, ' ',
c$$$     &                         geothermal_StatScal2, 0, myThid )
c$$$         CALL EXCH_3D_RL( geothermal_StatScal2, Nr, myThid )
c$$$       ENDIF
c$$$
c$$$       IF ( geothermal_VelUFile .NE. ' ' ) THEN
c$$$         CALL READ_FLD_XYZ_RL( geothermal_VelUFile, ' ',
c$$$     &                         geothermal_StatVelU, 0, myThid )
c$$$       ENDIF
c$$$       IF ( geothermal_VelVFile .NE. ' ' ) THEN
c$$$         CALL READ_FLD_XYZ_RL( geothermal_VelVFile, ' ',
c$$$     &                         geothermal_StatVelV, 0, myThid )
c$$$       ENDIF
c$$$       IF ( geothermal_VelUFile .NE. ' ' .OR.
c$$$     &      geothermal_VelVFile .NE. ' ' ) THEN
c$$$        IF ( geothermal_StaV_Cgrid ) THEN
c$$$         CALL EXCH_UV_3D_RL( geothermal_StatVelU, geothermal_StatVelV,
c$$$     &                       .TRUE., Nr, myThid )
c$$$        ELSE
c$$$C-      Assume Agrid position:
c$$$         CALL EXCH_UV_AGRID_3D_RL( geothermal_StatVelU, geothermal_StatVelV,
c$$$     &                       .TRUE., Nr, myThid )
c$$$        ENDIF
c$$$       ENDIF
c$$$#endif /* GEOTHERMAL_3D_STATE */

#ifdef GEOTHERMAL_2D_STATE
       IF ( geothermal_bottomFile .NE. ' ' ) THEN
         CALL READ_FLD_XY_RL( geothermal_bottomFile,' ',
     &                        geothermal_power_bottom, 0, myThid )
         CALL EXCH_XY_RL( geothermal_power_bottom, myThid )
       ENDIF
#endif /* GEOTHERMAL_2D_STATE */

C--   end start-from-iter-zero if/else block
      ENDIF

#endif /* ALLOW_GEOTHERMAL */

      RETURN
      END
