C $Header: /u/gcmpack/MITgcm/pkg/geothermal/geothermal_tendency_apply.F,v 1.3 2008/01/27 20:52:11 jmc Exp $
C $Name: checkpoint63 $

#include "GEOTHERMAL_OPTIONS.h"
C--  File geothermal_tendency_apply.F: Routines to apply GEOTHERMAL tendencies
C--   Contents
C--   o GEOTHERMAL_TENDENCY_APPLY_T


C---+----1----+----2----+----3----+----4----+----5----+----6----+----7-|--+----|
CBOP 0
C !ROUTINE: GEOTHERMAL_TENDENCY_APPLY_T

C !INTERFACE:
      SUBROUTINE GEOTHERMAL_TENDENCY_APPLY_T(
     &                     iMin, iMax, jMin, jMax,
     &                     bi, bj, k, myTime, myThid )

C     !DESCRIPTION:
C     Add geothermal tendency terms to T (theta) tendency.  Routine works
C     for one level at a time

C     !USES:
      IMPLICIT NONE
#include "SIZE.h"
#include "GRID.h"
#include "EEPARAMS.h"
#include "DYNVARS.h"
#include "GEOTHERMAL.h"
#include "PARAMS.h"

C     !INPUT PARAMETERS:
      INTEGER iMin, iMax, jMin, jMax, k, bi, bj, myThid
      _RL myTime
CEOP

#ifdef GEOTHERMAL_TENDENCY
C     !LOCAL VARIABLES:
      INTEGER i, j

      IF ( geothermal_applyTendT ) THEN
        DO j=jMin,jMax
         DO i=iMin,iMax
            IF ( k .EQ. kLowC(i,j,bi,bj) .AND.
     &             geothermal_power_bottom(i,j,bi,bj) .NE. 0 ) THEN
          gT(i,j,k,bi,bj) = gT(i,j,k,bi,bj)
     &     + maskC(i,j,k,bi,bj)*geothermal_power_bottom(i,j,bi,bj)
     &              *recip_Cp*mass2rUnit
     &              *recip_drF(k)*_recip_hFacC(i,j,k,bi,bj)
            ENDIF
         ENDDO
        ENDDO
      ENDIF

#ifdef ALLOW_DIAGNOSTICS
      IF ( useDiagnostics ) THEN
       CALL DIAGNOSTICS_FILL_RS(geothermal_power_bottom,'HSBotFlx',
     &      0,1,0,1,1,myThid)
      ENDIF
#endif /*  ALLOW_DIAGNOSTICS  */

#endif /* GEOTHERMAL_TENDENCY */

      RETURN
      END

